
Ruby - Bug #16917

"ruby -run -e httpd . " did not work 

05/28/2020 03:05 AM - sevk (kk kk)

Status: Third Party's Issue   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.7.1p83 (2020-03-31 revision

a0c7c23c9c) [x86_64-linux]

Backport: 2.5: UNKNOWN, 2.6: UNKNOWN, 2.7:

UNKNOWN

Description

ruby -run -e httpd . -p 8080

no file list show

only show HelloWorld .

History

#1 - 05/28/2020 09:32 AM - mame (Yusuke Endoh)

- Status changed from Open to Feedback

It works for me.  Could you show us the terminal log and the html result (if you can connect to the server)?

#2 - 05/28/2020 09:47 AM - retro (Josef Šimánek)

works for me as well on fresh 2.7.1 installation (compiled locally)

#3 - 06/03/2020 07:01 AM - sevk (kk kk)

- File 2020-06-03_15-00.png added

mame (Yusuke Endoh) wrote in #note-1:

It works for me.  Could you show us the terminal log and the html result (if you can connect to the server)?

 only show hello world .

#4 - 06/03/2020 07:02 AM - sevk (kk kk)

- Description updated

#5 - 06/03/2020 07:05 AM - sevk (kk kk)

- File 2020-06-03_15-04.png added

 2020-06-03_15-04.png 

Ruby 2.5 is OK

#6 - 06/03/2020 08:13 AM - mame (Yusuke Endoh)

I suspect that the directory has index.html. Do you run Ruby 2.5 in the same directory as 2.7?

#7 - 06/03/2020 08:21 AM - k0kubun (Takashi Kokubun)

2020-06-03_15-04.png is running it with port 8081, and 2020-06-03_15-00.png is running it with port 8080. Just to be clear, ruby -run -e httpd . -p

8081 with Ruby 2.7 also reproduces the same problem, right?

#8 - 06/05/2020 07:13 AM - sevk (kk kk)

Ruby 2.7 : the directory has index.html

Ruby 2.5 : the directory has no index.html .
how to close this issues

#9 - 06/05/2020 07:23 AM - nobu (Nobuyoshi Nakada)

- Status changed from Feedback to Third Party's Issue

Files

2020-06-03_15-00.png 14.1 KB 06/03/2020 sevk (kk kk)

2020-06-03_15-04.png 9.36 KB 06/03/2020 sevk (kk kk)
